import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Echo226/d58e972330148cb6e55c8d4ab2496215/raw/dfac85eb7deae14373525354057f1d3bbb649e18/gbDate.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {

    const row = d => {
      d.DEP_MEAN = +d.DEP_MEAN;
      d.DATE = new Date(d.DATE);
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};